# snort2pfsense_block.sql 

# Author: Josep Pujadas i Jubany
# Date: 05-june-2007

# Please, read http://www.bellera.cat/josep/snort2pfsense for any snort2pfsense information & license terms

# Look at your pfSense box for your snort2c expiretable time (in seconds) ...
SET @pf_timer = 1800;

# snort2pfsense_lasthour contains offenders (unique IP) for last @pf_timer seconds ... 
TRUNCATE TABLE snort2pfsense_lasthour;
INSERT INTO snort2pfsense_lasthour
SELECT DISTINCT ip_src AS ip_src_unique FROM event
INNER JOIN iphdr ON (event.cid = iphdr.cid) AND (event.sid = iphdr.sid)
WHERE (TIME_TO_SEC(TIMEDIFF(NOW(), timestamp)) < @pf_timer);

# snort2pfsense_not2block contains offenders (unique IP) for last @pf_timer seconds YES whitelisted (not to block them) ... 
TRUNCATE TABLE snort2pfsense_not2block;
INSERT INTO snort2pfsense_not2block
SELECT DISTINCT ip_src_unique AS ip_not2block FROM snort2pfsense_lasthour, snort2pfsense_whitelist
WHERE (ip_src_unique & mask = lan);

# snort2pfsense_2block contains offenders (unique IP) for last @pf_timer seconds NOT whitelisted (to block them) ...
TRUNCATE TABLE snort2pfsense_2block;
INSERT INTO snort2pfsense_2block
SELECT ip_src_unique AS ip_2block FROM snort2pfsense_lasthour
LEFT JOIN snort2pfsense_not2block ON ip_src_unique = ip_not2block
WHERE ip_not2block IS NULL; 

# snort2pfsense_pftabled contents the IPs to block and DATETIME blocking ...
SET @block = NOW();
INSERT INTO snort2pfsense_pftabled
SELECT ip_2block, @block FROM snort2pfsense_2block
LEFT JOIN snort2pfsense_pftabled ON ip_2block = ip_blocked
WHERE ip_blocked IS NULL;

# Sending to the output (snort2pfsense.sh script) the IPs we just want to block NOW ...
SELECT INET_NTOA(ip_blocked) FROM snort2pfsense_pftabled WHERE timestamp = @block;

