# snort2pfsense_create.sql

# Author: Josep Pujadas i Jubany
# Date: 05-june-2007

# Please, read http://www.bellera.cat/josep/snort2pfsense for any snort2pfsense information & license terms

# snort2pfsense_lasthour contains offenders (unique IP) for last hour ...
DROP TABLE IF EXISTS snort2pfsense_lasthour;
CREATE TABLE snort2pfsense_lasthour (ip_src_unique INT(10) UNSIGNED NOT NULL) ENGINE = MYISAM;
ALTER TABLE snort2pfsense_lasthour ADD PRIMARY KEY (ip_src_unique);

# snort2pfsense_whitelist contains hosts and networks white listed (not to block them) ...
DROP TABLE IF EXISTS snort2pfsense_whitelist;
CREATE TABLE snort2pfsense_whitelist (lan INT(10) UNSIGNED NOT NULL, mask INT(10) UNSIGNED NOT NULL) ENGINE = MYISAM;
ALTER TABLE snort2pfsense_whitelist ADD PRIMARY KEY (lan, mask);

# snort2pfsense_not2block contains offenders (unique IP) for last hour YES whitelisted (not to block them) ...
DROP TABLE IF EXISTS snort2pfsense_not2block;
CREATE TABLE snort2pfsense_not2block (ip_not2block INT(10) UNSIGNED NOT NULL) ENGINE = MYISAM;
ALTER TABLE snort2pfsense_not2block ADD PRIMARY KEY (ip_not2block);

# snort2pfsense_2block contains offenders (unique IP) for last hour NOT whitelisted (to block them) ...
DROP TABLE IF EXISTS snort2pfsense_2block;
CREATE TABLE snort2pfsense_2block (ip_2block INT(10) UNSIGNED NOT NULL) ENGINE = MYISAM;
ALTER TABLE snort2pfsense_2block ADD PRIMARY KEY (ip_2block);

# snort2pfsense_pftabled contents the IPs to block and DATETIME blocking ...
DROP TABLE IF EXISTS snort2pfsense_pftabled;
CREATE TABLE snort2pfsense_pftabled (ip_blocked INT(10) UNSIGNED NOT NULL, timestamp DATETIME NOT NULL) ENGINE = MYISAM;
ALTER TABLE snort2pfsense_pftabled ADD PRIMARY KEY (ip_blocked);

